Bug 839405 - (wmcore) Review Request: wmcore - Dockapp that shows the usage of each core in the system
Review Request: wmcore - Dockapp that shows the usage of each core in the system
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-11 17:18 EDT by Mario Blättermann
Modified: 2012-08-06 03:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-06 03:50:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mario Blättermann 2012-07-11 17:18:34 EDT
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/wmcore.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/wmcore-0.0.2-1.fc17.src.rpm

Description:

This is a dockapp that shows the usage of each core in the system. 
The dockapp splits into two displays, the upper one showing the common usage of
the system and the lower display showing one graph per each core.

It detects the number of cores and computes the usage to be represented as a
bar graph. wmcore works with a variable number of cores, it has been tested
with 1 up to 16 (simulated) cores.

Fedora Account System Username: mariobl

Koji scratch build:
http://mariobl.fedorapeople.org/Review/SRPMS/wmcore-0.0.2-1.fc17.src.rpm
Comment 1 Mario Blättermann 2012-07-11 17:24:25 EDT
This review request is marked as NotReady for the time being. Currently, there's no real download uri, just a php download link. I've contacted the developer about this:
http://www.bitmania.de/index.php?page=35#comments (sorry, in German only)
Comment 2 Mario Blättermann 2012-07-17 15:54:12 EDT
There is a tarball available now from the project page. Updated files:
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/wmcore.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/wmcore-0.0.2-1.fc17.src.rpm

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4247026

Regarding the old FSF address, I've already contacted the developer.


Lifted NotReady again.
Comment 3 Mario Blättermann 2012-07-19 13:20:56 EDT
(In reply to comment #2)
> Regarding the old FSF address, I've already contacted the developer.
> 
The developer has provided a new tarball at the same place, and I've updated my files (same download links for spec and srpm).
Comment 4 Kalev Lember 2012-07-19 17:49:00 EDT
Taking for review.
Comment 5 Kalev Lember 2012-07-19 18:04:54 EDT
Some issues:

 - The licensing situation is unclear. There are some files with GPLv2+ headers (list.[ch], misc.c), and some without any license headers (wmcore.c, wmgeneral.[ch]). Can you ask upstream for clarification how these are licensed and, if possible, add license headers to the source files in the tarball?

 - We have a policy that all GUI apps must ship a .desktop file. Would it make sense to have one for this package?
Comment 6 Mario Blättermann 2012-07-20 14:05:10 EDT
(In reply to comment #5)
>  - The licensing situation is unclear. There are some files with GPLv2+
> headers (list.[ch], misc.c), and some without any license headers (wmcore.c,
> wmgeneral.[ch]). Can you ask upstream for clarification how these are
> licensed and, if possible, add license headers to the source files in the
> tarball?
> 
There is no official bugtracker for wmcore. I've informed the developer by mail.

>  - We have a policy that all GUI apps must ship a .desktop file. Would it
> make sense to have one for this package?

No, such dockapps doesn't need a *.desktop file, although you can run them in windowed mode. See bug #478744. Usually, dockapps will be started from command line with some arguments because we have no gui configuration tool in most cases. Moreover, mostly you cannot submit a file when starting a dockapp. That's why it would be odd to provide menu entries or MIME type associations.
Comment 7 Mario Blättermann 2012-07-22 11:32:22 EDT
The developer has updated the source tarball. The file wmcore.c includes now a license header.

Regarding the files wmgeneral.c and wmgeneral.h:
These files are widely used by almost all dockapps. The current header says where they initially come from, that's why we should assume it is also GPLv2+. The Debian packagers have an explicite license declaration:
http://packages.debian.org/changelogs/pool/main/b/bbrun/bbrun_1.6-5/bbrun.copyright
This is from bbrun, which is also a dockapp and uses the same files, as already mentioned.
Moreover, I maintain some more dockapp packages in Fedora which use these files too. If a license header is needed, I had to change almost all of them. Patching is senseless in this case, and most of the developers are no longer available.

Files (spec and srpm) are available from the same location.
Comment 8 Kalev Lember 2012-07-22 12:16:36 EDT
Excellent.

Does this mean that all code files are now under "GPL version 2 or later"? The spec file currently says GPL v2 only.
Comment 9 Mario Blättermann 2012-07-22 12:28:15 EDT
(In reply to comment #8)
> The spec file currently says GPL v2 only.

Oops, forget to change it. New files are at the same location again.
Comment 10 Kalev Lember 2012-07-22 12:46:20 EDT
Fedora review wmcore-0.0.2-1.fc17.src.rpm 2012-07-22

+ OK
! needs attention

rpmlint output:
$ rpmlint wmcore \
          wmcore-debuginfo \
          wmcore-0.0.2-1.fc18.src.rpm
wmcore.src: W: spelling-error Summary(en_US) Dockapp -> Dock app, Dock-app, Paddock
wmcore.src: W: spelling-error %description -l en_US dockapp -> dock app, dock-app, paddock
wmcore.x86_64: W: spelling-error Summary(en_US) Dockapp -> Dock app, Dock-app, Paddock
wmcore.x86_64: W: spelling-error %description -l en_US dockapp -> dock app, dock-app, paddock
wmcore.x86_64: W: no-manual-page-for-binary wmcore
wmcore-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/wmcore-0.0.2/misc.c
wmcore-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/wmcore-0.0.2/list.h
wmcore-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/wmcore-0.0.2/list.c
3 packages and 0 specfiles checked; 3 errors, 5 warnings.

+ Rpmlint warnings/errors are harmless and can be ignored
+ The package is named according to Fedora packaging guidelines
+ The spec file name matches the base package name.
+ The package meets the Packaging Guidelines
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The license field in the spec file matches the actual license
+ The package contains the license file (COPYING)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match the sources in the srpm. md5sum:
  da16cea009f32a3152a81a3619ec90e1  wmcore-0.0.2.tar.gz
  da16cea009f32a3152a81a3619ec90e1  Download/wmcore-0.0.2.tar.gz
+ The package builds in koji
n/a ExcludeArch bugs filed
+ BuildRequires look sane
n/a Proper locale handling
n/a ldconfig in %post and %postun
+ Package does not bundle copies of system libraries
n/a Package isn't relocatable
+ Package owns all the directories it creates
+ No duplicate files in %files
+ Permissions are properly set
+ Consistent use of macros
+ The package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
n/a Static libraries should be in -static
n/a Library files that end in .so must go in a -devel package
n/a -devel must require the fully versioned base
+ Packages should not contain libtool .la files
n/a Proper .desktop file handling
+ Doesn't own files or directories already owned by other packages
+ Filenames are valid UTF-8


Looks good. APPROVED
Comment 11 Mario Blättermann 2012-07-22 12:50:42 EDT
Thanks for your review!

New Package SCM Request
=======================
Package Name: wmcore
Short Description: Dockapp that shows the usage of each core in the system
Owners: mariobl
Branches: f16 f17
Comment 12 Mario Blättermann 2012-07-22 12:52:11 EDT
Removed fedora-review+ by accidence...
Comment 13 Gwyn Ciesla 2012-07-22 15:48:15 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2012-07-23 14:10:11 EDT
wmcore-0.0.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/wmcore-0.0.2-1.fc17
Comment 15 Fedora Update System 2012-07-23 14:10:18 EDT
wmcore-0.0.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/wmcore-0.0.2-1.fc16
Comment 16 Fedora Update System 2012-07-28 20:51:50 EDT
wmcore-0.0.2-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 17 Fedora Update System 2012-08-06 03:50:08 EDT
wmcore-0.0.2-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 18 Fedora Update System 2012-08-06 03:53:17 EDT
wmcore-0.0.2-1.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.